# Generated by Django 2.1.1 on 2018-09-15 14:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('virtualcontests', '0002_acceptedsolutions_questions'),
    ]

    operations = [
        migrations.CreateModel(
            name='Contests',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contest_code', models.CharField(max_length=10)),
                ('contest_name', models.CharField(max_length=50)),
                ('contest_start_time', models.DateTimeField()),
                ('contest_end_time', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Problems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('problem_code', models.CharField(max_length=10)),
                ('problem_name', models.TextField()),
                ('problem_directory', models.TextField()),
                ('problem_contest', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.Contests')),
            ],
        ),
        migrations.DeleteModel(
            name='Questions',
        ),
        migrations.RemoveField(
            model_name='activevirtualcontest',
            name='contestType',
        ),
    ]
